def clearfield(f):
  for i in range(len(f)):
    fiche[i]['code'] = None
  return f

fiche = [{"nom": "pierre", "note": 5.99,
    "code": 125},{"nom": "pol", "note": 2.99,
    "code": 82},{"nom": "jack", "note": 7.99, "code": 135}]